@import "https://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic&subset=latin";

:root {
    --color-blue: #4175a0;
}

html, body {
    font-family: Lato, Helvetica, sans-serif;
    overflow-x: hidden;
}

body, .timeline-content {
    transition: background 1s ease-in;
}

body.dark-mode {
    background-color: #032745;
    color: #fff;
}

body.dark-mode a {
    color: #4a9cf3;
}

a.icon-link, body.dark-mode a.icon-link {
    color: inherit;
}

h1 {
    font-size: 3rem;
    margin-top: 1rem;
}

h2 {
    margin-bottom: 1.2rem;
}

h3 {
    font-size: 1.5em;
    margin-bottom: 1rem;
    margin-top: 1rem;
}

.navbar {
    transition: all 1s ease 0s;
    background-color: #353535;
    background-image: none;
    padding: 0px;

}

/*Fond noir*/

.navbar .navbar-toggler {
    border: 1px solid #fff;
}

.navbar .navbar-toggler .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgb(255, 255, 255)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

.navbar .navbar-toggler:hover .navbar-toggler-icon {
    background-color: #fff;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgb(0, 0, 0)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

.navbar .navbar-toggler:hover {
    background-color: #fff;
}

/*fond-blanc*/
.navbar.w-nav_fix {
    transition: all 1 cs ease 0s;
    background-color: #fff;
    border: none;
}

.navbar.w-nav_fix .navbar-toggler {
    background-color: #fff;
    border: 1px solid #000;
}

.navbar.w-nav_fix .navbar-toggler:hover {
    background-color: #000;
}

.navbar.w-nav_fix .navbar-toggler .navbar-toggler-icon {
    background-color: #fff;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgb(0, 0, 0)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

.navbar.w-nav_fix .navbar-toggler:hover .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgb(255, 255, 255)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    background-color: #000;
}

.navbar-expand-lg .navbar-nav .nav-link {
    padding: 1em;
}

.navbar .nav-link.active {
    background-color: #fff;
    color: #000;
}

.navbar.w-nav_fix .nav-link.active {
    background-color: #000;
    color: #fff;
}

.navbar.w-nav_fix .nav-link {
    color: #000;
}

.navbar .nav-link {
    color: #ccc;
}

.jumbotron {
    background: #4175a0; /* Old browsers */
    background: -moz-radial-gradient(center, ellipse cover, var(--color-blue) 22%, #000000 100%); /* FF3.6+ */
    background: -webkit-gradient(radial, center center, 0px, center center, 100%, color-stop(22%, var(--color-blue)), color-stop(100%, #000000)); /* Chrome,Safari4+ */
    background: -webkit-radial-gradient(center, ellipse cover, var(--color-blue) 22%, #000000 100%); /* Chrome10+,Safari5.1+ */
    background: -o-radial-gradient(center, ellipse cover, var(--color-blue) 22%, #000000 100%); /* Opera 12+ */
    background: -ms-radial-gradient(center, ellipse cover, var(--color-blue) 22%, #000000 100%); /* IE10+ */
    background: radial-gradient(ellipse at center, var(--color-blue) 22%, #000000 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='var(--color-blue)', endColorstr='#000000', GradientType=1); /* IE6-9 fallback on horizontal gradient */

    color: #fff;
    padding: 60px 0;
    margin-bottom: 0;
}

.jumbotron a, body.dark-mode .jumbotron a {
    color:#fff;
}

.jumbotron .bouton {
    color: #fff;
    border: 1px solid #fff;
    text-decoration: none;
    padding: 10px 25px;
    border-radius: 10px;

    transition: all 0.4s ease 0s;

}

.jumbotron .bouton:hover {
    border: 1px solid var(--color-blue);
    /* color:#4175a0; */
    background-color: var(--color-blue);
}

section {
    padding: 2.5rem 0;
    border-bottom: 1px solid #bbb;
}

#competences span {
    font-size: 1.2em;
    text-transform: uppercase;
    display: inline-block;
    width: 40%;
}

#competences h3 {
    margin-bottom: 20px;
    padding-bottom: 10px;
    border-bottom: 3px solid #000;
}

/* réalisations */

#liens a {
    cursor: pointer;
}

#liens a.active {
    color: #3c81f6;
}

#experiences .title {
    font-weight: bold;
}

.content-image {
    position: relative;
    transition: transform 0.5s ease-in-out;
}

#cv .content-image {
    background-color: var(--color-blue);
}

#cv .content-image img {
    display: block;
    margin: 0 auto;
    padding: 20px 0;
}

.content-image .wrapper:hover {
    overflow: hidden;
    position: relative;
    display: block;
}

.content-image .overlay:hover {
    opacity: 1;
}

.content-image .overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    z-index: 2;
    width: 100%;

    color: #fff;
    padding: 1rem;
    font-size: 0.9em;
    text-align: center;

    transition: opacity 0.5s ease-in-out;
    opacity: 0;
    background: rgba(4, 56, 99, 0.9);
    text-decoration: none;
}

.content-image .overlay a {
    color: #fff;
    padding: 0.5rem 1rem;
    border: 1px solid #fff;
    cursor: pointer;
}

.content-image .overlay a:hover {
    background-color: var(--color-blue);
    text-decoration: none;
    border-color: var(--color-blue);
}

.content-image .overlay .overlay-content {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-around;
}

.content-image .overlay .links {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
}

.bloc .overlay i {
    margin: 0.5rem;
}

.bloc .overlay .projet-details {
    vertical-align: middle;
}

.overlay i {
    display: inline-block;
    cursor: pointer;
}

a.modal-link {
    background-color: var(--color-blue);
    padding: 0.5rem 1rem;
    border-radius: 20px;
    color: #fff;
    display: inline-block;
    line-height: 1;
    vertical-align: text-top;
}

.is-animated {
    animation: .6s zoom-in;
}

@keyframes zoom-in {
    0% {
        transform: scale(.1);
    }
    100% {
        transform: none;
    }
}

#contact > p {
    margin: 20px 0 60px;
}

.fa-search {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -13px;
    margin-top: -14px;
}

footer {
    margin: 25px 0;
}

/* Timeline */

.timeline {
    position: relative;
}

.timeline::before {
    content: "";
    background: #C5E1E9;
    width: 5px;
    height: 95%;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.timeline-item {
    width: 100%;
    margin-bottom: 30px;
}

.timeline-item:nth-child(even) .timeline-content {
    float: right;
}

.timeline-item:nth-child(even) .timeline-content .date {
    right: auto;
    left: 0;
}

.timeline-content::after {
    content: "";
    position: absolute;
    border-style: solid;
    width: 0;
    height: 0;
    top: 2px;
    right: -15px;
    border-width: 20px 0 20px 25px;
    border-color: transparent transparent transparent #18B1DA;
}

.timeline-item:nth-child(even) .timeline-content::after {

    left: -15px;
    border-width: 20px 25px 20px 0;
    border-color: transparent #18B1DA transparent transparent;
}

.timeline-item::after {
    content: "";
    display: block;
    clear: both;
}

.timeline h2 {
    margin: 2.6rem 0 0.9rem;
    font-size: 1.2em;
    font-weight: bold;
}

.timeline-content {
    position: relative;
    width: 45%;
    padding: 20px 30px 10px;
    border-radius: 4px;
    background: #f5f5f5;
    box-shadow: 0 20px 25px -15px rgba(0, 0, 0, 0.3);
    border: 1px solid #d7d7d7;
}

.timeline-img {
    width: 30px;
    height: 30px;
    background: #0D7E9C;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    margin-top: 7px;
    margin-left: -15px;
}

.date {
    background: #18B1DA;;
    display: inline-block;
    color: #FFFFFF;
    padding: 10px;
    position: absolute;
    top: 0;
    right: 0;
}

.flip-box-container {
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-around;
    padding-top: 60px;
}

.bod-flip-box .flip-inner .flip-front {
    background-color: #274660;
}

.bod-flip-box .flip-inner .flip-back {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-blue);
}

.bod-flip-box .flip-inner a {
    color: #fff;
}

.bod-flip-box .flip-inner i {
    vertical-align: middle;
}

.flip-front-title {
    font-size: 2em;
    /*font-weight: bold;*/
}

@media screen and (max-width: 768px) {
    .timeline::before {
        left: 50px;
    }

    .timeline .timeline-img {
        left: 50px;
    }

    .timeline .timeline-content {
        max-width: 100%;
        width: auto;
        margin-left: 70px;
    }

    .timeline .timeline-item:nth-child(even) .timeline-content {
        float: none;
    }

    .timeline .timeline-item:nth-child(odd) .timeline-content::after {
        content: "";
        position: absolute;
        border-style: solid;
        width: 0;
        height: 0;
        top: 0px;
        left: -15px;
        border-width: 20px 25px 20px 0;
        border-color: transparent #18B1DA transparent transparent;
    }

    .timeline-item:nth-child(odd) .timeline-content .date {
        right: auto;
        left: 0;
    }

    .bod-flip-box {
        margin-bottom: 1.5rem;
    }
}

body.dark-mode .timeline-content {
    background-color: #043863;
    box-shadow: 0 20px 25px -15px rgba(255, 255, 255, 0.7);
}

body.dark-mode .modal-content{
    background-color: #043863;
    box-shadow: 0px 0px 20px 1px rgba(255, 255, 255, 0.7);
}

body.dark-mode .modal-content a, body.dark-mode .modal-content button{
    color: #fff;
}

#cv .content-image img{
    width:200px;
}

.link-underlined{
    text-decoration: underline;
}